libhpsangoma: sangoma_hptdm_chan Struct Reference

- Main Page
- Classes
- Files

- Class List
- Class Members

# sangoma_hptdm_chan Struct Reference

Channel structure, describes a single timeslot/channel in a span. More...

`#include <libhpsangoma.h>`

Collaboration diagram for sangoma_hptdm_chan:

[legend]
List of all members.

## Public Attributes
int | init
int | chan_no
int | span_no
void * | span
hp_tmd_chunk_t | rx_chunk
hp_tmd_chunk_t | tx_idx [SMG_HP_TDM_CHUNK_IDX_SZ]
int | tx_idx_in
int | tx_idx_out
int(* | push )(struct sangoma_hptdm_chan *, char *data, int len)
sangoma_hptdm_chan_reg_t | chan_reg

## Detailed Description

Channel structure, describes a single timeslot/channel in a span.

Definition at line 115 of file libhpsangoma.h.

## Member Data Documentation

int sangoma_hptdm_chan::chan_no

channel number: starting from 0

Definition at line 121 of file libhpsangoma.h.

sangoma_hptdm_chan_reg_t sangoma_hptdm_chan::chan_reg

Channel registration struct used to store user data, cfg and callbacks

Definition at line 145 of file libhpsangoma.h.

int sangoma_hptdm_chan::init

channel init flag used to determine if chan is being used

Definition at line 118 of file libhpsangoma.h.

int(* sangoma_hptdm_chan::push)(struct sangoma_hptdm_chan *, char *data, int len)

Callback func called by user to push chunk of data into the channel

hp_tmd_chunk_t sangoma_hptdm_chan::rx_chunk

Rx chunk buffer used to rx data from the span

Definition at line 130 of file libhpsangoma.h.

void* sangoma_hptdm_chan::span

span object pointer the current channel belongs

Definition at line 127 of file libhpsangoma.h.

int sangoma_hptdm_chan::span_no

span number the current channel belongs to: starting from 0

Definition at line 124 of file libhpsangoma.h.

hp_tmd_chunk_t sangoma_hptdm_chan::tx_idx[SMG_HP_TDM_CHUNK_IDX_SZ]

Circular buffer of tx data chunks used to tx data to span

Definition at line 133 of file libhpsangoma.h.

int sangoma_hptdm_chan::tx_idx_in

Circular buffer index for user to chan tx

Definition at line 136 of file libhpsangoma.h.

int sangoma_hptdm_chan::tx_idx_out

Circular buffer index for chan to span tx

Definition at line 139 of file libhpsangoma.h.

The documentation for this struct was generated from the following file:

- libhpsangoma.h